## org.eclipse.amp.amf.gen.ide
Class AbstractMWEBuilder.GenerationRunner

    java.lang.Object
      WorkflowRunner
          org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder.GenerationRunner

Enclosing class:
  AbstractMWEBuilder

    private class AbstractMWEBuilder.GenerationRunner

extends WorkflowRunner

Constructor Summary
`private` `AbstractMWEBuilder.GenerationRunner()`

Method Summary
`boolean` `executeWorkflow(java.util.Map<?,?> externalSlotContents, Issues issues)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMWEBuilder.GenerationRunner

    private AbstractMWEBuilder.GenerationRunner()

Method Detail

### executeWorkflow

    public boolean executeWorkflow(java.util.Map<?,?> externalSlotContents,
                                   Issues issues)

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors